--
-- ### Extended arithmetic checks
-- 
drop if exists table t1;
create table t1(a int not null,
       b long not null,
       c float not null,
       d double not null,
       e bigint(20) );

insert into t1 values ( 42, (long)73897398798, 5.78, (double)98.5678, (bigint)896786786);
select * from t1;

select a + b from t1;
select a + c from t1;
select a + d from t1;
select a + e from t1;

select b + c from t1;
select b + d from t1;
select b + e from t1;

select c + d from t1;
select c + e from t1;

select d + e from t1;

select a - b from t1;
select a - c from t1;
select a - d from t1;
select a - e from t1;

select a * b from t1;
select a * c from t1;
select a * d from t1;
select a * e from t1;

select b * c from t1;
select b * d from t1;
select b * e from t1;

select c * d from t1;
select c * e from t1;

select d * e from t1;

select a / b from t1;
select b / a from t1;

select a / c from t1;
select a / d from t1;
select a / e from t1;
select e / a from t1;

select c / d from t1;
select c / e from t1;
select c / a from t1;

select d / c from t1;
select d / e from t1;
select d / a from t1;

select e / a from t1;




